Support » Plugin: This Day In History » What is the minimum PHP version required?

  • Resolved pawwel

    (@pawwel)


    Hi,

    as in the title, what is the minimum PHP version required for the plugin to work properly?
    I get an error while trying to add event and I suppose it’s due to this.
    My PHP, unfortunately, pretty old – 5.3.10-1~dotdeb.0.

    Thanks.
    Pawel

    The page I need help with: [log in to see the link]

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author BC

    (@brokencrust)

    I’m not exactly sure what the minimum is, for sure it is at least php >= 5.2 but >= 5.4 is probably needed for some functions.

    Can you give me detail of your error and what you are trying to enter?

    Thread Starter pawwel

    (@pawwel)

    After hitting “Add event” message appears:

    “notice: attribute_escape is deprecated since version 2.8.0! Use esc_attr() instead. in /var/www/virtual/proskarzysko.pl/htdocs/wp-includes/functions.php on line 3893/wp-admin/options-general.php?page=this-day-in-history&action=new&noheader=true”

    I think I don’t have “name” field to enter. Just date and description
    Here is screenshot:

    screenshot

    • This reply was modified 2 years ago by pawwel.
    Plugin Author BC

    (@brokencrust)

    This has picked up a depreciated function in the add/edit form which I have replaced in the latest version. Thanks.

    This might fix your issue but I expect that it is just masking it. Please let me know if there is a new error message.

    Thread Starter pawwel

    (@pawwel)

    Thanks!

    Error is gone and plugin seems to work.
    I am going to explore it further.

    Is there anywhere a list of sites that use the plugin or can you show me any that does in a pretty way?

    cpclemens

    (@cpclemens)

    I don’t know if it’s pretty, but I use it here.

    astrowhiz

    (@astrowhiz)

    My site uses TDIH pretty extensively

    pontefractsandalcastles.org.uk

    It uses the TDIH footer widget to display today in history text. There’s also a yesterday, today and tomorrow in history page. All history events are then organised by month or century and displayed in TDIH tables. I’ve altered some PHP in TDIH_shortcodes related to column headers and sort order just to suit my preferences.

    The PHP I’m running is 7.3. I guess if at all possible try and upgrade your PHP as I could foresee running into other problems with plugins etc later.

    Thread Starter pawwel

    (@pawwel)

    @astrowhiz @cpclemens
    Thanks. Looks extensively pretty 🙂
    I will have a look at your pages on regular basis.
    Rgds.

    astrowhiz

    (@astrowhiz)

    @pawwel
    Haha, thanks. I hadn’t realised I’d used the word pretty in a different meaning. English is weird. Hopefully the site looks ok though.

    The project is kind of on hold at the moment tbh, what with the virus lockdown. The history is quite specific to the area I live in so quite niche really.

    @cpclemens
    Great site. I learned a lot about New York state. There must be tons of history relating to New York. I’m trying to fill all 365 days with facts but it’s a bit of a struggle with my topic.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘What is the minimum PHP version required?’ is closed to new replies.